#caching
spring.resources.cache.cachecontrol.maxAge=P0D
# LOGGING
logging.level.org.springframework.web=WARN
# DATABASE
spring.datasource.url=jdbc:sqlite:./e-commerce.db
spring.datasource.driverClassName=org.sqlite.JDBC
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.SQLiteDialect
spring.jpa.hibernate.ddl-auto=update
spring.jpa.show-sql=true
# Session
#spring.session.store-type=jdbc
#spring.session.jdbc.initialize-schema=always
#spring.session.jdbc.schema=classpath:org/springframework/session/jdbc/schema-@@platform@@.sql
#spring.session.jdbc.table-name=SPRING_SESSION
#server.servlet.session.persistent=true
# ----------------------------------------
# WEB PROPERTIES
spring.servlet.multipart.max-file-size=10MB
spring.servlet.multipart.max-request-size=10MB
# ----------------------------------------
# EMBEDDED SERVER CONFIGURATION (ServerProperties)
server.address=::1
server.port=8080
